import { AfterContentInit } from '@angular/core';
import { NxFormFieldComponent } from '../form-field/form-field.component';
import * as i0 from "@angular/core";
/** Form field for text inputs.
 *
 * Adds a button to clear the input.
 */
export declare class NxInputFieldComponent extends NxFormFieldComponent implements AfterContentInit {
    private injector;
    protected zeroLength: import("@angular/core").Signal<boolean>;
    protected disabled: import("@angular/core").Signal<boolean>;
    protected readonly: import("@angular/core").WritableSignal<boolean>;
    private inputObserver;
    private get control();
    ngAfterContentInit(): void;
    protected clear(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NxInputFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NxInputFieldComponent, "nx-input-field", never, {}, {}, never, ["[nx-label]", "*", "nx-control-messages"], true, never>;
}
